Tag Parser: TagParser::MatroskaAttachmentMaker Class Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
TagParser::MatroskaAttachmentMaker Class Reference

The MatroskaAttachmentMaker class helps writing Matroska "AttachedFile"-elements which contain an attachment. More...

`#include <matroskaattachment.h>`

## Public Member Functions
void | make (std::ostream &stream, Diagnostics &diag) const
| Saves the attachment (specified when constructing the object) to the specified stream (makes an "AttachedFile"-element).
const MatroskaAttachment & | attachment () const
| Returns the associated attachment.
std::uint64_t | requiredSize () const
| Returns the number of bytes which will be written when making the attachment.
void | bufferCurrentAttachments (Diagnostics &diag)

## Friends
class | MatroskaAttachment

## Detailed Description

The MatroskaAttachmentMaker class helps writing Matroska "AttachedFile"-elements which contain an attachment.

An instance can be obtained using the MatroskaAttachment::prepareMaking() method.

Definition at line 11 of file matroskaattachment.h.

## Member Function Documentation

## ◆ attachment()

const MatroskaAttachment & TagParser::MatroskaAttachmentMaker::attachment | ( |  | ) | const
| inline

Returns the associated attachment.

Definition at line 31 of file matroskaattachment.h.

## ◆ bufferCurrentAttachments()

void TagParser::MatroskaAttachmentMaker::bufferCurrentAttachments | ( | Diagnostics & | diag | ) |

Definition at line 183 of file matroskaattachment.cpp.

## ◆ make()

void TagParser::MatroskaAttachmentMaker::make | ( | std::ostream & | stream,
|  | Diagnostics & | diag ) const

Saves the attachment (specified when constructing the object) to the specified stream (makes an "AttachedFile"-element).

Exceptions

  Throws | std::ios_base::failure when an IO error occurs.
  Throws | Assumes the data is already validated and thus does NOT throw TagParser::Failure or a derived exception.

Definition at line 147 of file matroskaattachment.cpp.

## ◆ requiredSize()

std::uint64_t TagParser::MatroskaAttachmentMaker::requiredSize | ( |  | ) | const
| inline

Returns the number of bytes which will be written when making the attachment.

Definition at line 39 of file matroskaattachment.h.

## Friends And Related Symbol Documentation

## ◆ MatroskaAttachment

friend class MatroskaAttachment
| friend

Definition at line 12 of file matroskaattachment.h.

The documentation for this class was generated from the following files:

- matroska/matroskaattachment.h
- matroska/matroskaattachment.cpp